Module javafx.base
Package javafx.beans.property

# Class ReadOnlyObjectWrapper<T>

java.lang.Object
javafx.beans.binding.ObjectExpression<T>
javafx.beans.property.ReadOnlyObjectProperty<T>
javafx.beans.property.ObjectProperty<T>
javafx.beans.property.ObjectPropertyBase<T>
javafx.beans.property.SimpleObjectProperty<T>
javafx.beans.property.ReadOnlyObjectWrapper<T>

All Implemented Interfaces:
  `Observable`, `Property<T>`, `ReadOnlyProperty<T>`, `ObservableObjectValue<T>`, `ObservableValue<T>`, `WritableObjectValue<T>`, `WritableValue<T>`

    public class ReadOnlyObjectWrapper<T>
    extends SimpleObjectProperty<T>

This class provides a convenient class to define read-only properties. It creates two properties that are synchronized. One property is read-only and can be passed to external users. The other property is read- and writable and should be used internally only.

Since:
  JavaFX 2.0

- ## Constructor Summary

  Constructors
  Constructor | Description
  --- | ---
  `ReadOnlyObjectWrapper()` | The constructor of `ReadOnlyObjectWrapper`
  `ReadOnlyObjectWrapper​(Object bean, String name)` | The constructor of `ReadOnlyObjectWrapper`
  `ReadOnlyObjectWrapper​(Object bean, String name, T initialValue)` | The constructor of `ReadOnlyObjectWrapper`
  `ReadOnlyObjectWrapper​(T initialValue)` | The constructor of `ReadOnlyObjectWrapper`

- ## Method Summary

  Modifier and Type | Method | Description
  --- | --- | ---
  `ReadOnlyObjectProperty<T>` | `getReadOnlyProperty()` | Returns the readonly property, that is synchronized with this `ReadOnlyObjectWrapper`.

  ### Methods declared in class javafx.beans.property.ObjectPropertyBase

  `fireValueChangedEvent, invalidated, toString`

  ### Methods declared in class javafx.beans.binding.ObjectExpression

  `asString, asString, asString, isEqualTo, isEqualTo, isNotEqualTo, isNotEqualTo, isNotNull, isNull, objectExpression`

  ### Methods declared in class java.lang.Object

  `clone, equals, finalize, getClass, hashCode, notify, notifyAll, wait, wait, wait`

  ### Methods declared in interface javafx.beans.Observable

  `addListener, removeListener`

  ### Methods declared in interface javafx.beans.value.ObservableObjectValue

  `get`

  ### Methods declared in interface javafx.beans.value.ObservableValue

  `addListener, getValue, removeListener`

  ### Methods declared in interface javafx.beans.property.Property

  `bind, bindBidirectional, isBound, unbind, unbindBidirectional`

  ### Methods declared in interface javafx.beans.property.ReadOnlyProperty

  `getBean, getName`

  ### Methods declared in interface javafx.beans.value.WritableObjectValue

  `get, set`

  ### Methods declared in interface javafx.beans.value.WritableValue

  `getValue, setValue`

- ## Constructor Details

  - ### ReadOnlyObjectWrapper

    public ReadOnlyObjectWrapper()
    The constructor of `ReadOnlyObjectWrapper`

  - ### ReadOnlyObjectWrapper

    public ReadOnlyObjectWrapper​(T initialValue)
    The constructor of `ReadOnlyObjectWrapper`
    Parameters:
      `initialValue` - the initial value of the wrapped value

  - ### ReadOnlyObjectWrapper

    public ReadOnlyObjectWrapper​(Object bean, String name)
    The constructor of `ReadOnlyObjectWrapper`
    Parameters:
      `bean` - the bean of this `ReadOnlyObjectProperty`
      `name` - the name of this `ReadOnlyObjectProperty`

  - ### ReadOnlyObjectWrapper

    public ReadOnlyObjectWrapper​(Object bean, String name, T initialValue)
    The constructor of `ReadOnlyObjectWrapper`
    Parameters:
      `bean` - the bean of this `ReadOnlyObjectProperty`
      `name` - the name of this `ReadOnlyObjectProperty`
      `initialValue` - the initial value of the wrapped value

- ## Method Details

  - ### getReadOnlyProperty

    public ReadOnlyObjectProperty<T> getReadOnlyProperty()
    Returns the readonly property, that is synchronized with this `ReadOnlyObjectWrapper`.
    Returns:
      the readonly property